#!/bin/sh
tallinn=`/bin/nc 193.40.240.131 6340 |grep temp|cut -d" " -f3| tr -s + " "|tr -s "'" " "|cut -d" " -f1-`
#tallinn=`lynx -source http://www.ilm.ee/~data/tallinn/temp` # temporary
echo "Tallinn: $tallinn" >&2

tartu=`/usr/bin/lynx -dump http://meteo.physic.ut.ee/et/frontmain.php?m=2 |grep Temp|tr -s " " " "|cut -d " " -f3`
echo "Tartu: $tartu" >&2

#viljandi=`/usr/bin/lynx -dump http://nadal.viljandi.ee/ |egrep '(Temperatuur|K.lma):' |tr -s " " " "|cut -d " " -f3`
viljandi=`curl -s -m5 http://www.matti.ee/~nilm/temp`
echo "Viljandi: $viljandi" >&2

parnu=`/usr/bin/lynx -dump http://ilm.transcom.ee/mobile.aspx | grep ?hk | cut -d " " -f6 | tr  "," "."`
echo "Parnu: $parnu" >&2

# rapina=`curl -s -m5 http://www.jes.ee/temp/temp.txt | perl -Te '$_ = <>; exit unless m/^\s*([+-]?\d+\.\d)\d*\s*$/; print $1'`
# echo "Rapina: $rapina" >&2

saue=`curl -s -m5 http://ketas.si.pri.ee/temp.saue | perl -Te '$_ = <>; exit unless m/^([+-]?\d+(\.\d*)?)\b/; print $1'`
echo "Saue: $saue" >&2

tm=`date +"%H:%M"`
echo  "kell $tm; Tallinn:$tallinn; Tartu: $tartu C; Viljandi: $viljandi C; Prnu: $parnu C; <ktas> Saue: $saue C"

#echo  "Tallinn: $tallinn"
#echo -n "Tallinn:"; lynx -source http://www.ilm.ee/~data/tallinn/temp
#echo -n "Tartu:"; lynx -source http://www.ilm.ee/~data/tartu/temp
#echo -n "Narva:"; lynx -source http://www.ilm.ee/~data/narva/temp
#echo -n "P?rnu:"; lynx -source http://www.ilm.ee/~data/parnu/temp
#echo -n "Viljandi:"; lynx -source http://www.ilm.ee/~data/viljandi/temp
#echo -n "V?ru:"; lynx -source http://www.ilm.ee/~data/voru/temp
#echo -n "Valga:"; lynx -source http://www.ilm.ee/~data/valga/temp
#echo -n "P?lva:"; lynx -source http://www.ilm.ee/~data/polva/temp
#echo -n "Kuressaare:"; lynx -source http://www.ilm.ee/~data/kuressaare/temp
